package com.dgtly.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

/**
 * 信息传输日志记录对象 transfer_log
 * 
 * @author njs
 * @date 2023-04-12
 */
public class TransferLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 日志id */
    @Excel(name = "日志id")
    private Long logId;

    /** 是否删除 */
    private String delFlag;

    /** 交货单号 */
    @Excel(name = "交货单号")
    private String deliveryNumber;

    /** 签署文档 */
    @Excel(name = "签署文档")
    private String authFile;

    /** 是否传输成功0成功 */
    @Excel(name = "是否传输成功0成功")
    private String codeing;

    //备注
    private String remarks;

    public void setLogId(Long logId) 
    {
        this.logId = logId;
    }

    public Long getLogId() 
    {
        return logId;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getDelFlag()
    {
        return delFlag;
    }
    public void setDeliveryNumber(String deliveryNumber) 
    {
        this.deliveryNumber = deliveryNumber;
    }

    public String getDeliveryNumber() 
    {
        return deliveryNumber;
    }
    public void setAuthFile(String authFile) 
    {
        this.authFile = authFile;
    }

    public String getAuthFile() 
    {
        return authFile;
    }
    public void setCodeing(String codeing)
    {
        this.codeing = codeing;
    }

    public String getCodeing()
    {
        return codeing;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("logId", getLogId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("deliveryNumber", getDeliveryNumber())
            .append("authFile", getAuthFile())
            .append("codeing", getCodeing())
            .toString();
    }
}
